/* $Id: action.c,v 1.5 2004/11/14 22:30:27 cegger Exp $
******************************************************************************

   LibGIC - Actions

   Copyright (C) 1999 Andreas Beck	[becka@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#include <string.h>

#include <ggi/internal/gic.h>

int gicActionWrite(gic_handle_t hand, gic_actionlist * aclist,
		   FILE * where)
{
	fprintf(where, "gic:        Action \"%s\"\n", aclist->name);
	fprintf(where, "gic:        Action END\n");
	return 0;
}

int gicActionMapActions(gic_handle_t hand, gic_actionlist * myact,
			gic_actionlist * actions)
{
	for (; actions->name; actions++) {
		if (actions->name == myact->name ||
		    strcmp(actions->name, myact->name) == 0) {
			myact->action = actions->action;
			myact->privdata = actions->privdata;
			return 0;
		}
	}
	return GGI_ENOMATCH;
}
